Subject: Re: bug#16251: 24.3.50; `icomplete-mode' breaks my file opening now

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Dec 2013 20:02:33 +0200

> Date: Wed, 25 Dec 2013 00:30:07 -0800
> From: Daniel Colascione <[email-masked]>
> 
> Why is finding the list of files so slow for you? Don't you experience 
> the same performance problem after typing a character and forcing 
> completions to show up? We call the completion function inside 
> while-no-input, so we should abort the "several seconds" of work as soon 
> as you start typing.

Maybe because input on Windows is not signal-driven, and therefore
while-no-input relies on the Lisp code paying frequent attention to
QUIT.

I tried just now enabling icomplete-mode in "emacs -Q", and can
confirm that "C-x C-f" becomes painfully slow to react to typing in a
large directory, especially with a cold cache.